README FOR JPGRAPH
==================

This package contains the JpGraph PHP library Pro version 1.20p

The library is Copyright (C) 2001-2005 Aditus Consulting and
released under the JpGraph Professional License for commercial use. 


* --------------------------------------------------------------------
* PHP5 IS NOT SUPPORTED IN THIS 1.x SERIES
* Please use the 2.x serie if PHP5 support is required
* --------------------------------------------------------------------


Included files
--------------
README	                This file

/src
  Changelog               Changelog
  jpg-config.inc	  Configuration setup for JpGraph
  jpgraph.php             Base library
  jpgraph_log.php         Extension: logarithmic scales
  jpgraph_date.php        Extension: date/time scales
  jpgraph_line.php        Extension: line plots 
  jpgraph_bar.php         Extension: bar plots
  jpgraph_error.php       Extension: error plots
  jpgraph_scatter.php     Extension: scatter/impulse plots
  jpgraph_radar.php       Extension: radar plots
  jpgraph_pie.php         Extension: pie plots
  jpgraph_canvas.php      Extension: drawing canvas
  jpgraph_canvtools.php	  Extension: utility classes for working with canvas
  jpgraph_pie3d.php	  Extension: 3D pie plots
  jpgraph_gantt.php	  Extension: Gantt chart
  jpgraph_regstat.php	  Extension: Statistics and cubic splines.
  jpgraph_stock.php	  Extension: Stock and box plots.
  jpgraph_gradient.php	  Extension: Color gradient class
  jpgraph_gb2312.php	  Extension: Chinese GB2312 to Unicode translation
  jpgraph_plotmark.php	  Extension: Handle plotmarks in plots
  jpgraph_imgtrans.php	  Extension: Basic image transformation
  jpgraph_flags.php	  Extension: Country flags
  jpgraph_iconplot.php	  Extension: Use image icons in plots
  jpgraph_plotband.php	  Extension: Plotbands in graphs
  jpgraph_plotmark.inc    Extension: Using plotmarks in graphs
  jpgraph_antispam.php    Extension: Antispam module
  jpgraph_utils.inc	  Extension: Non mandatory Utility classes

  jpgraph_barcode.php	  Pro-Extension: Linear barcodes
  jpgraph_pdf417.php	  Pro-Extension: 2D PDF417 Barcodes
  pdf417_*.inc		  Pro-Extension: 2D PDF417 Barcodes
  jpgraph_odo.php	  Pro-Extension: Odometer graphs
  jpgraph_windrose.php	  Pro-Extension: Windrose graphs



  imgdata_*.inc		  Extension: Encoded images for plot marks
  flags*.dat		  Raw Image data: Pre-compiled data for country flags.

/src/Examples		A directory with example sripts.
			Run testsuit.php to get a list of all
			files and you can easily click on a file to
			see the code and the resulting image.

/stripped-src		Same as /src but with all whitespaces and
			comments stripped to reduce PHP parsing time. 
			Suitable directory to install on a server.

/docs			Directory with all documentation		

/docs/index.html	Documentation portal

			
Requirements:
-------------
Miminum:
* PHP 4.3.5 or higher 
* GD 1.8.x or GD 2.28 or higher
Note: Earlier versions might work but is unsupported.

Recommended:
* PHP 4.4.0 or higher
* PHP Builtin GD 2.28 library

Installation
------------
0. Make sure that the PHP version is compatible with the stated requirements
   and that the PHP installation has support for the GD library. 
   Please run phpinfo() to check if GD library
   is supported in the installation. 
   If the GD library doesn't seem to be installed 
   please consult the PHP manual under section "Image" for
   instructions on where to find this library. Please refer to
   the manual section "Verifying your PHP installation"
   
1. Unzip and copy the files to a directory of your choice where Your
   httpd sever can access them. 
   For a global site installation you should copy the files to 
   somewhere in the PHP search path. 
   It is recommended that only files in the stripped-src/ directory is
   copied to a production server since those files will be faster to parse
   due to the removal of white spaces and comments.

2. Check that the default directory paths in jpg-config.inc
   for cache directory and TTF directory suits your installation. 
   Note1: The default directories are different depending on if
   the library is running on Windows or UNIX.
   Note2: Apache/PHP must have write permission to your cache 
   directory if you enable the cache feature. By default the cache
   is disabled.

3. Check that all rest of the DEFINE in jpg-config.inc 
   is setup to your preference. The default should be fine
   for most users. (See also Note 3. below)
   
4. If any problems are encounted please start by reading the FAQ on 
   http://www.aditus.nu/jpgraph/jpgraphfaq.php.


Documentation
-------------
The installation includes HTML documentation and reference guide for the
library. The portal page for all the documentation is
<YOUR-INSTALLATION-DIRECTORY>/docs/index.html


Troubleshooting
---------------
1. If an empty page is returned back when running an example check
   the following

      i) Make sure output_buffer is disabled in php.ini
     ii) Increase the maximum memory allowed by PHP (in php.ini) to at least
         32MB
    iii) Enable all error messages and notices in php.ini (error_reporting = E_ALL)

   Then try running the example again. Most likely an error message will
   now be shown that will give further information on what is wrong.
   For further clarifiction on the casues for the error messages see
   the FAQ section on the WEB site.

2. In some cases the automatic GD detection may fail. Set the
   USE_GD2_LIBRARY to match the installation, i.e. If 
   GD2 is not available then this define should be set to false.

3. If you are running IIS and Win2k and get the error "Can't find
   font' when trying to use TTF fonts then try to change you paths
   to UNIX style, i.e. "/usr/local/fonts/ttf/". Remember that the
   path is absolute and not relative to the htdocs catalogue. Some 
   versions of GD for Windows also need you to set the environment
   variable GDFONTPATH for GD to find the fonts.

4. If you are using the cache please make sure that you have
   set the permissions correctly for the cache directory so that
   Apache/PHP can write to that directory.

5. Some windows installations seems to have a problem with a PHP
   script ending in a newline (This newline seems to be sent to the
   browser and will cause a Header already sent error). 
   If you have this problem try remove all trailing newlines in the
   jpgraph* files 


Defect reports and new feature requests
---------------------------------------
Should be reported using the issue tracker available at

http://www.aditus.nu/bugtraq


Relase history:
------------------------------------------------------------------------
Date        Ver        Comment
------------------------------------------------------------------------
2005-12-28  1.20p      Pro release based on 1.20
2005-12-04  1.20       Major feature enhancements
-------------------------------------------------------------------------

<EOF>
